Upstream information

CVE-2021-3574 at MITRE

Description

A vulnerability was found in ImageMagick-7.0.11-5, where executing a crafted file with the convert command, ASAN detects memory leaks.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 3.3 3.3
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Low Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1203212 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • ImageMagick >= 7.0.7.34-150200.10.39.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-150200.10.39.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-150200.10.39.1
  • ImageMagick-devel >= 7.0.7.34-150200.10.39.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-150200.10.39.1
  • libMagick++-devel >= 7.0.7.34-150200.10.39.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-150200.10.39.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-150200.10.39.1
  • perl-PerlMagick >= 7.0.7.34-150200.10.39.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-3552
SUSE-SLE-Module-Development-Tools-15-SP3-2022-3552
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • ImageMagick >= 7.0.7.34-150200.10.39.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-150200.10.39.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-150200.10.39.1
  • ImageMagick-devel >= 7.0.7.34-150200.10.39.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-150200.10.39.1
  • libMagick++-devel >= 7.0.7.34-150200.10.39.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-150200.10.39.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-150200.10.39.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-3552
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • perl-PerlMagick >= 7.0.7.34-150200.10.39.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2022-3552
openSUSE Leap 15.3
  • ImageMagick >= 7.0.7.34-150200.10.39.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-150200.10.39.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-150200.10.39.1
  • ImageMagick-devel >= 7.0.7.34-150200.10.39.1
  • ImageMagick-devel-32bit >= 7.0.7.34-150200.10.39.1
  • ImageMagick-doc >= 7.0.7.34-150200.10.39.1
  • ImageMagick-extra >= 7.0.7.34-150200.10.39.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-150200.10.39.1
  • libMagick++-7_Q16HDRI4-32bit >= 7.0.7.34-150200.10.39.1
  • libMagick++-devel >= 7.0.7.34-150200.10.39.1
  • libMagick++-devel-32bit >= 7.0.7.34-150200.10.39.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-150200.10.39.1
  • libMagickCore-7_Q16HDRI6-32bit >= 7.0.7.34-150200.10.39.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-150200.10.39.1
  • libMagickWand-7_Q16HDRI6-32bit >= 7.0.7.34-150200.10.39.1
  • perl-PerlMagick >= 7.0.7.34-150200.10.39.1
Patchnames:
openSUSE-SLE-15.3-2022-3552
openSUSE Leap 15.4
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-150200.10.39.1
  • libMagick++-7_Q16HDRI4-32bit >= 7.0.7.34-150200.10.39.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-150200.10.39.1
  • libMagickCore-7_Q16HDRI6-32bit >= 7.0.7.34-150200.10.39.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-150200.10.39.1
  • libMagickWand-7_Q16HDRI6-32bit >= 7.0.7.34-150200.10.39.1
Patchnames:
openSUSE-SLE-15.4-2022-3552


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 ImageMagick Not affected
SUSE CaaS Platform 4.0 ImageMagick Affected
SUSE Enterprise Storage 6 ImageMagick Affected
SUSE Enterprise Storage 7 ImageMagick Affected
SUSE Enterprise Storage 7.1 ImageMagick Released
SUSE Linux Enterprise Desktop 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Desktop 15 ImageMagick Affected
SUSE Linux Enterprise Desktop 15 SP1 ImageMagick Affected
SUSE Linux Enterprise Desktop 15 SP2 ImageMagick Affected
SUSE Linux Enterprise Desktop 15 SP3 ImageMagick Released
SUSE Linux Enterprise Desktop 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 15 ImageMagick Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ImageMagick Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS ImageMagick Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS ImageMagick Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ImageMagick Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS ImageMagick Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS ImageMagick Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 ImageMagick Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS ImageMagick Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS ImageMagick Released
SUSE Linux Enterprise High Performance Computing 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS ImageMagick Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS ImageMagick Affected
SUSE Linux Enterprise Module for Desktop Applications 15 ImageMagick Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 ImageMagick Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 ImageMagick Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 ImageMagick Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Module for Development Tools 15 ImageMagick Affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 ImageMagick Affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 ImageMagick Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 ImageMagick Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Real Time 15 SP2 ImageMagick Affected
SUSE Linux Enterprise Real Time 15 SP3 ImageMagick Released
SUSE Linux Enterprise Server 11 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2-BCL ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3-BCL ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Server 12-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 15 ImageMagick Affected
SUSE Linux Enterprise Server 15 SP1 ImageMagick Affected
SUSE Linux Enterprise Server 15 SP1-BCL ImageMagick Affected
SUSE Linux Enterprise Server 15 SP1-LTSS ImageMagick Affected
SUSE Linux Enterprise Server 15 SP2 ImageMagick Affected
SUSE Linux Enterprise Server 15 SP2-BCL ImageMagick Affected
SUSE Linux Enterprise Server 15 SP2-LTSS ImageMagick Affected
SUSE Linux Enterprise Server 15 SP3 ImageMagick Released
SUSE Linux Enterprise Server 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Server 15-ESPOS ImageMagick Affected
SUSE Linux Enterprise Server 15-LTSS ImageMagick Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 ImageMagick Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 ImageMagick Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 ImageMagick Released
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 15 ImageMagick Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 ImageMagick Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 ImageMagick Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 ImageMagick Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 ImageMagick Not affected
SUSE Manager Proxy 4.0 ImageMagick Affected
SUSE Manager Proxy 4.1 ImageMagick Affected
SUSE Manager Proxy 4.2 ImageMagick Released
SUSE Manager Proxy 4.3 ImageMagick Already fixed
SUSE Manager Retail Branch Server 4.0 ImageMagick Affected
SUSE Manager Retail Branch Server 4.1 ImageMagick Affected
SUSE Manager Retail Branch Server 4.2 ImageMagick Released
SUSE Manager Retail Branch Server 4.3 ImageMagick Already fixed
SUSE Manager Server 4.0 ImageMagick Affected
SUSE Manager Server 4.1 ImageMagick Affected
SUSE Manager Server 4.2 ImageMagick Released
SUSE Manager Server 4.3 ImageMagick Already fixed
SUSE OpenStack Cloud 7 ImageMagick Not affected
SUSE OpenStack Cloud 8 ImageMagick Not affected
SUSE OpenStack Cloud 9 ImageMagick Not affected
SUSE OpenStack Cloud Crowbar 8 ImageMagick Not affected
SUSE OpenStack Cloud Crowbar 9 ImageMagick Not affected


SUSE Timeline for this CVE

CVE page created: Fri Aug 26 22:02:35 2022
CVE page last modified: Thu Dec 1 20:27:15 2022